# Staff

## POST /staff

> Create a new staff member.

```json
{"openapi":"3.0.3","info":{"title":"Incident Tracker API","version":"1.0.0"},"servers":[{"url":"https://api.kitehouse.co.uk"}],"paths":{"/staff":{"post":{"tags":["Staff"],"description":"Create a new staff member.","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["site","first_name","last_name","role_ids"],"properties":{"site":{"type":"string"},"email":{"type":"string"},"first_name":{"type":"string"},"last_name":{"type":"string"},"job_title":{"type":"string"},"role_ids":{"type":"array","items":{"type":"string"}}}}}}},"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"_id":{"type":"string"},"site":{"type":"string"},"email":{"type":"string"},"first_name":{"type":"string"},"last_name":{"type":"string"},"job_title":{"type":"string"},"role_ids":{"type":"array","items":{"type":"string"}},"roles":{"type":"array","items":{"type":"object","properties":{"_id":{"type":"string"},"name":{"type":"string"},"key":{"type":"string"},"requires_email":{"type":"boolean"}}}},"user_id":{"type":"string"},"created_at":{"type":"string"},"updated_at":{"type":"string"},"photo_url":{"type":"string"}},"required":["_id","site","first_name","last_name","created_at","updated_at","photo_url"]}}}}}}}}}
```

## DELETE /staff/{siteId}/{userId}

> Delete a staff member from a site.

```json
{"openapi":"3.0.3","info":{"title":"Incident Tracker API","version":"1.0.0"},"servers":[{"url":"https://api.kitehouse.co.uk"}],"paths":{"/staff/{siteId}/{userId}":{"delete":{"tags":["Staff"],"description":"Delete a staff member from a site.","parameters":[{"schema":{"type":"string"},"in":"path","name":"siteId","required":true},{"schema":{"type":"string"},"in":"path","name":"userId","required":true}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"}},"required":["success"]}}}}}}}}}
```

## PATCH /staff/{siteId}/{userId}

> Update a staff member.

```json
{"openapi":"3.0.3","info":{"title":"Incident Tracker API","version":"1.0.0"},"servers":[{"url":"https://api.kitehouse.co.uk"}],"paths":{"/staff/{siteId}/{userId}":{"patch":{"tags":["Staff"],"description":"Update a staff member.","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["first_name","last_name","role_ids"],"properties":{"email":{"type":"string"},"first_name":{"type":"string"},"last_name":{"type":"string"},"job_title":{"type":"string"},"role_ids":{"type":"array","items":{"type":"string"}}}}}}},"parameters":[{"schema":{"type":"string"},"in":"path","name":"siteId","required":true},{"schema":{"type":"string"},"in":"path","name":"userId","required":true}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"_id":{"type":"string"},"site":{"type":"string"},"email":{"type":"string"},"first_name":{"type":"string"},"last_name":{"type":"string"},"job_title":{"type":"string"},"role_ids":{"type":"array","items":{"type":"string"}},"roles":{"type":"array","items":{"type":"object","properties":{"_id":{"type":"string"},"name":{"type":"string"},"key":{"type":"string"},"requires_email":{"type":"boolean"}}}},"user_id":{"type":"string"},"created_at":{"type":"string"},"updated_at":{"type":"string"},"photo_url":{"type":"string"}},"required":["_id","site","first_name","last_name","created_at","updated_at","photo_url"]}}}}}}}}}
```

## GET /staff/{siteId}

> Retrieve a list of staff members for a site.

```json
{"openapi":"3.0.3","info":{"title":"Incident Tracker API","version":"1.0.0"},"servers":[{"url":"https://api.kitehouse.co.uk"}],"paths":{"/staff/{siteId}":{"get":{"tags":["Staff"],"description":"Retrieve a list of staff members for a site.","parameters":[{"schema":{"type":"string"},"in":"path","name":"siteId","required":true}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"_id":{"type":"string"},"site":{"type":"string"},"email":{"type":"string"},"first_name":{"type":"string"},"last_name":{"type":"string"},"job_title":{"type":"string"},"role_ids":{"type":"array","items":{"type":"string"}},"roles":{"type":"array","items":{"type":"object","properties":{"_id":{"type":"string"},"name":{"type":"string"},"key":{"type":"string"},"requires_email":{"type":"boolean"}}}},"user_id":{"type":"string"},"created_at":{"type":"string"},"updated_at":{"type":"string"},"photo_url":{"type":"string"}},"required":["_id","site","first_name","last_name","created_at","updated_at","photo_url"]}}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://kitehouse.co.uk/docs/api-reference/staff.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
